
Redmine - Defect #3249

Activity page disables subprojects on Apply

2009-04-27 21:40 - Oskar Nordquist

Status: Closed Start date: 2009-04-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

On the activity page, subprojects are displayed by default, but clicking Apply removes it. URL reads:

with_subprojects=1&&with_subprojects=0.

History

#1 - 2009-04-27 21:42 - Oskar Nordquist

Turns out wiki edits and tickets are shown after Apply for subprojects, but changesets are not shown.

#2 - 2009-05-10 14:13 - Jean-Philippe Lang

I'm not able to reproduce.

The 'Subprojects' checkbox is checked by default and clicking Apply preserves it.

Please attach your log and give your browser version.

#3 - 2009-05-10 14:53 - Oskar Nordquist

I'm sorry, the title is misleading. That was my initial thought on the issue. What actually happens is that Changesets for subprojects disappears when

clicking apply. This might be related to that there is no 'Changeset' checkbox in a toplevel project with no repository attached.

#4 - 2009-11-24 02:45 - Mischa The Evil

Hmm, after some investigation on the current trunk it seems I can reproduce this issue. Some weird behaviour I noticed. Will add details lateron.

#5 - 2009-12-07 03:15 - Mischa The Evil

- Category set to UI

- Status changed from New to Closed

Oskar Nordquist wrote:

On the activity page, subprojects are displayed by default, but clicking Apply removes it

 I wrote:

Hmm, after some investigation on the current trunk it seems I can reproduce this issue

 This is fixed in r3123. See the diff of changeset r3123 of source:/trunk/app/views/projects/activity.rhtml at: 

http://www.redmine.org/projects/redmine/repository/diff/trunk/app/views/projects/activity.rhtml?rev=3123&rev_to=2587.
